<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <OutputType>Library</OutputType>
    </PropertyGroup>

    <ItemGroup Condition="'$(CloudburstSolution)' != 'True'">
        <PackageReference Include="Cloudburst.Version" Version="$(CloudburstVersion)" />
        <PackageReference Include="Cloudburst.Version.Abstractions" Version="$(CloudburstVersion)" />
    </ItemGroup>

    <ItemGroup Condition="'$(CloudburstSolution)' == 'True'">
        <ProjectReference Include="..\..\Cloudburst-Version\Cloudburst.Version\Cloudburst.Version.csproj" />
        <ProjectReference Include="..\..\Cloudburst-Version\Cloudburst.Version.Abstractions\Cloudburst.Version.Abstractions.csproj" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Cloudburst.Configuration.Abstractions\Cloudburst.Configuration.Abstractions.csproj" />
        <ProjectReference Include="..\Cloudburst.Configuration.Attributes\Cloudburst.Configuration.Attributes.csproj" />
        <ProjectReference Include="..\Cloudburst.Configuration.Models\Cloudburst.Configuration.Models.csproj" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Winton.Extensions.Configuration.Consul" Version="3.0.2" />
    </ItemGroup>

</Project>
